Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.data.nvdcve
Class NvdCve20Handler.Element

    java.lang.Object
      org.owasp.dependencycheck.data.nvdcve.NvdCve20Handler.Element

Enclosing class:
  NvdCve20Handler

    protected static class NvdCve20Handler.Element

extends Object

A simple class to maintain information about the current element while parsing the NVD CVE XML.

Field Summary
`static String` | `CVSS_ACCESS_COMPLEXITY` A node type in the NVD CVE Schema 2.0
`static String` | `CVSS_ACCESS_VECTOR` A node type in the NVD CVE Schema 2.0
`static String` | `CVSS_AUTHENTICATION` A node type in the NVD CVE Schema 2.0
`static String` | `CVSS_AVAILABILITY_IMPACT` A node type in the NVD CVE Schema 2.0
`static String` | `CVSS_CONFIDENTIALITY_IMPACT` A node type in the NVD CVE Schema 2.0
`static String` | `CVSS_INTEGRITY_IMPACT` A node type in the NVD CVE Schema 2.0
`static String` | `CVSS_SCORE` A node type in the NVD CVE Schema 2.0
`static String` | `ENTRY` A node type in the NVD CVE Schema 2.0
`static String` | `NVD` A node type in the NVD CVE Schema 2.0
`static String` | `VULN_CWE` A node type in the NVD CVE Schema 2.0
`static String` | `VULN_PRODUCT` A node type in the NVD CVE Schema 2.0
`static String` | `VULN_REFERENCE` A node type in the NVD CVE Schema 2.0
`static String` | `VULN_REFERENCES` A node type in the NVD CVE Schema 2.0
`static String` | `VULN_SOURCE` A node type in the NVD CVE Schema 2.0
`static String` | `VULN_SUMMARY` A node type in the NVD CVE Schema 2.0

Constructor Summary
`protected` | `NvdCve20Handler.Element()`

Method Summary
`String` | `getNode()` Gets the value of node.
`boolean` | `isCVSSAccessComplexityNode()` Checks if the handler is at the CVSS_ACCESS_COMPLEXITY node.
`boolean` | `isCVSSAccessVectorNode()` Checks if the handler is at the CVSS_ACCESS_VECTOR node.
`boolean` | `isCVSSAuthenticationNode()` Checks if the handler is at the CVSS_AUTHENTICATION node.
`boolean` | `isCVSSAvailabilityImpactNode()` Checks if the handler is at the CVSS_AVAILABILITY_IMPACT node.
`boolean` | `isCVSSConfidentialityImpactNode()` Checks if the handler is at the CVSS_CONFIDENTIALITY_IMPACT node.
`boolean` | `isCVSSIntegrityImpactNode()` Checks if the handler is at the CVSS_INTEGRITY_IMPACT node.
`boolean` | `isCVSSScoreNode()` Checks if the handler is at the CVSS_SCORE node.
`boolean` | `isEntryNode()` Checks if the handler is at the ENTRY node.
`boolean` | `isNVDNode()` Checks if the handler is at the NVD node.
`boolean` | `isVulnCWENode()` Checks if the handler is at the VULN_CWE node.
`boolean` | `isVulnProductNode()` Checks if the handler is at the VULN_PRODUCT node.
`boolean` | `isVulnReferenceNode()` Checks if the handler is at the REFERENCE node.
`boolean` | `isVulnReferencesNode()` Checks if the handler is at the REFERENCES node.
`boolean` | `isVulnSourceNode()` Checks if the handler is at the VULN_SOURCE node.
`boolean` | `isVulnSummaryNode()` Checks if the handler is at the VULN_SUMMARY node.
`void` | `setNode(String node)` Sets the value of node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NVD

    public static final String NVD

  A node type in the NVD CVE Schema 2.0

  See Also:
    Constant Field Values

### ENTRY

    public static final String ENTRY

  A node type in the NVD CVE Schema 2.0

  See Also:
    Constant Field Values

### VULN_PRODUCT

    public static final String VULN_PRODUCT

  A node type in the NVD CVE Schema 2.0

  See Also:
    Constant Field Values

### VULN_REFERENCES

    public static final String VULN_REFERENCES

  A node type in the NVD CVE Schema 2.0

  See Also:
    Constant Field Values

### VULN_SOURCE

    public static final String VULN_SOURCE

  A node type in the NVD CVE Schema 2.0

  See Also:
    Constant Field Values

### VULN_REFERENCE

    public static final String VULN_REFERENCE

  A node type in the NVD CVE Schema 2.0

  See Also:
    Constant Field Values

### VULN_SUMMARY

    public static final String VULN_SUMMARY

  A node type in the NVD CVE Schema 2.0

  See Also:
    Constant Field Values

### VULN_CWE

    public static final String VULN_CWE

  A node type in the NVD CVE Schema 2.0

  See Also:
    Constant Field Values

### CVSS_SCORE

    public static final String CVSS_SCORE

  A node type in the NVD CVE Schema 2.0

  See Also:
    Constant Field Values

### CVSS_ACCESS_VECTOR

    public static final String CVSS_ACCESS_VECTOR

  A node type in the NVD CVE Schema 2.0

  See Also:
    Constant Field Values

### CVSS_ACCESS_COMPLEXITY

    public static final String CVSS_ACCESS_COMPLEXITY

  A node type in the NVD CVE Schema 2.0

  See Also:
    Constant Field Values

### CVSS_AUTHENTICATION

    public static final String CVSS_AUTHENTICATION

  A node type in the NVD CVE Schema 2.0

  See Also:
    Constant Field Values

### CVSS_CONFIDENTIALITY_IMPACT

    public static final String CVSS_CONFIDENTIALITY_IMPACT

  A node type in the NVD CVE Schema 2.0

  See Also:
    Constant Field Values

### CVSS_INTEGRITY_IMPACT

    public static final String CVSS_INTEGRITY_IMPACT

  A node type in the NVD CVE Schema 2.0

  See Also:
    Constant Field Values

### CVSS_AVAILABILITY_IMPACT

    public static final String CVSS_AVAILABILITY_IMPACT

  A node type in the NVD CVE Schema 2.0

  See Also:
    Constant Field Values

Constructor Detail

### NvdCve20Handler.Element

    protected NvdCve20Handler.Element()

Method Detail

### getNode

    public String getNode()

  Gets the value of node.

  Returns:
    the value of node

### setNode

    public void setNode(String node)

  Sets the value of node.

  Parameters:
    `node` - new value of node

### isNVDNode

    public boolean isNVDNode()

  Checks if the handler is at the NVD node.

  Returns:
    true or false

### isEntryNode

    public boolean isEntryNode()

  Checks if the handler is at the ENTRY node.

  Returns:
    true or false

### isVulnProductNode

    public boolean isVulnProductNode()

  Checks if the handler is at the VULN_PRODUCT node.

  Returns:
    true or false

### isVulnReferencesNode

    public boolean isVulnReferencesNode()

  Checks if the handler is at the REFERENCES node.

  Returns:
    true or false

### isVulnReferenceNode

    public boolean isVulnReferenceNode()

  Checks if the handler is at the REFERENCE node.

  Returns:
    true or false

### isVulnSourceNode

    public boolean isVulnSourceNode()

  Checks if the handler is at the VULN_SOURCE node.

  Returns:
    true or false

### isVulnSummaryNode

    public boolean isVulnSummaryNode()

  Checks if the handler is at the VULN_SUMMARY node.

  Returns:
    true or false

### isVulnCWENode

    public boolean isVulnCWENode()

  Checks if the handler is at the VULN_CWE node.

  Returns:
    true or false

### isCVSSScoreNode

    public boolean isCVSSScoreNode()

  Checks if the handler is at the CVSS_SCORE node.

  Returns:
    true or false

### isCVSSAccessVectorNode

    public boolean isCVSSAccessVectorNode()

  Checks if the handler is at the CVSS_ACCESS_VECTOR node.

  Returns:
    true or false

### isCVSSAccessComplexityNode

    public boolean isCVSSAccessComplexityNode()

  Checks if the handler is at the CVSS_ACCESS_COMPLEXITY node.

  Returns:
    true or false

### isCVSSAuthenticationNode

    public boolean isCVSSAuthenticationNode()

  Checks if the handler is at the CVSS_AUTHENTICATION node.

  Returns:
    true or false

### isCVSSConfidentialityImpactNode

    public boolean isCVSSConfidentialityImpactNode()

  Checks if the handler is at the CVSS_CONFIDENTIALITY_IMPACT node.

  Returns:
    true or false

### isCVSSIntegrityImpactNode

    public boolean isCVSSIntegrityImpactNode()

  Checks if the handler is at the CVSS_INTEGRITY_IMPACT node.

  Returns:
    true or false

### isCVSSAvailabilityImpactNode

    public boolean isCVSSAvailabilityImpactNode()

  Checks if the handler is at the CVSS_AVAILABILITY_IMPACT node.

  Returns:
    true or false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.